#include <iostream>

#include <QApplication>
#include <QWidget>
#include <QFrame>
#include <QHBoxLayout>
#include <QFile>

#include "player.h"

// """ Version 0.7 """

//using namespace std;


int main(int argc, char* argv[]) {
    QApplication app(argc, argv);

    QWidget window;
    //window.resize(200,576);
    window.setGeometry(20,50,1234,576);

    QFrame videoWidget(&window);
    videoWidget.resize(1024, 576);
    Player player(&videoWidget);

    QListWidget liste(&window);
    liste.setGeometry(1024,0,210,576);
    for(int x=1;x<=player.get_Sender();x++){
        liste.addItem(player.get_Name(x));
    }

    QObject::connect(&liste, SIGNAL(itemClicked(QListWidgetItem*)), &player, SLOT(play(QListWidgetItem*)));
    //QHBoxLayout layout(&window);
    //layout.addWidget(&videoWidget);
    //layout.addWidget(&liste);
    window.show();

    return app.exec();
}
